<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: my_allocator&lt; T, N &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classmy__allocator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">my_allocator&lt; T, N &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator_1_1iterator.html">iterator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a37008fa095e0453a298f421568bc428b"><td class="memItemLeft" align="right" valign="top"><a id="a37008fa095e0453a298f421568bc428b"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b> = T</td></tr>
<tr class="separator:a37008fa095e0453a298f421568bc428b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49694dc411e2a2f6f13dbdd81bf1220b"><td class="memItemLeft" align="right" valign="top"><a id="a49694dc411e2a2f6f13dbdd81bf1220b"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>size_type</b> = std::size_t</td></tr>
<tr class="separator:a49694dc411e2a2f6f13dbdd81bf1220b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad28521a8b3f2bdf6213e7ae69217e8e0"><td class="memItemLeft" align="right" valign="top"><a id="ad28521a8b3f2bdf6213e7ae69217e8e0"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>difference_type</b> = std::ptrdiff_t</td></tr>
<tr class="separator:ad28521a8b3f2bdf6213e7ae69217e8e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adef899d8902fb98e7945da43977c6402"><td class="memItemLeft" align="right" valign="top"><a id="adef899d8902fb98e7945da43977c6402"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>pointer</b> = value_type *</td></tr>
<tr class="separator:adef899d8902fb98e7945da43977c6402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e881ea9cb2e89a5848b18a4b4de2391"><td class="memItemLeft" align="right" valign="top"><a id="a9e881ea9cb2e89a5848b18a4b4de2391"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>const_pointer</b> = const value_type *</td></tr>
<tr class="separator:a9e881ea9cb2e89a5848b18a4b4de2391"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2e4e8b97f6e94aba11c96b8235c28f"><td class="memItemLeft" align="right" valign="top"><a id="aef2e4e8b97f6e94aba11c96b8235c28f"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>reference</b> = value_type &amp;</td></tr>
<tr class="separator:aef2e4e8b97f6e94aba11c96b8235c28f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a256c18d997824aa93f51f5aaf455083c"><td class="memItemLeft" align="right" valign="top"><a id="a256c18d997824aa93f51f5aaf455083c"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>const_reference</b> = const value_type &amp;</td></tr>
<tr class="separator:a256c18d997824aa93f51f5aaf455083c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae072d6037f9f72b54303533033ed188d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#ae072d6037f9f72b54303533033ed188d">my_allocator</a> ()</td></tr>
<tr class="separator:ae072d6037f9f72b54303533033ed188d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3765a43605c97e5909441e4043c143ab"><td class="memItemLeft" align="right" valign="top"><a id="a3765a43605c97e5909441e4043c143ab"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>my_allocator</b> (const <a class="el" href="classmy__allocator.html">my_allocator</a> &amp;)=default</td></tr>
<tr class="separator:a3765a43605c97e5909441e4043c143ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab514bf010fc3bb3cd3787358f6443357"><td class="memItemLeft" align="right" valign="top"><a id="ab514bf010fc3bb3cd3787358f6443357"></a>
<a class="el" href="classmy__allocator.html">my_allocator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classmy__allocator.html">my_allocator</a> &amp;)=default</td></tr>
<tr class="separator:ab514bf010fc3bb3cd3787358f6443357"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac85621b052cc724d1fa753e88e328d5e"><td class="memItemLeft" align="right" valign="top"><a id="ac85621b052cc724d1fa753e88e328d5e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>negate_sentinels</b> (<a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> &amp;block)</td></tr>
<tr class="separator:ac85621b052cc724d1fa753e88e328d5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a675436d2a59e721c110a557465b4fa84"><td class="memItemLeft" align="right" valign="top"><a id="a675436d2a59e721c110a557465b4fa84"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_sentinels</b> (<a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> &amp;block, int set_size)</td></tr>
<tr class="separator:a675436d2a59e721c110a557465b4fa84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2bd3b32769707802cb8ff29f4c257bc"><td class="memItemLeft" align="right" valign="top">pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#ac2bd3b32769707802cb8ff29f4c257bc">allocate</a> (size_type num_objects)</td></tr>
<tr class="separator:ac2bd3b32769707802cb8ff29f4c257bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac682ce1ad46490b5e08f7a2a01b6cf2a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#ac682ce1ad46490b5e08f7a2a01b6cf2a">construct</a> (pointer p, const_reference v)</td></tr>
<tr class="separator:ac682ce1ad46490b5e08f7a2a01b6cf2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fd86d645b3ced3ff4188b983a9b90ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#a0fd86d645b3ced3ff4188b983a9b90ec">deallocate</a> (pointer ptr, size_type num_objects)</td></tr>
<tr class="separator:a0fd86d645b3ced3ff4188b983a9b90ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e208c763aa3c6c31e298fc96de4a37a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#a5e208c763aa3c6c31e298fc96de4a37a">destroy</a> (pointer p)</td></tr>
<tr class="separator:a5e208c763aa3c6c31e298fc96de4a37a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afce70a1babca1d1ed59b595cb44818cf"><td class="memItemLeft" align="right" valign="top">int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#afce70a1babca1d1ed59b595cb44818cf">operator[]</a> (int i)</td></tr>
<tr class="separator:afce70a1babca1d1ed59b595cb44818cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a449c644c9fe5f4e832443fac06716c94"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#a449c644c9fe5f4e832443fac06716c94">operator[]</a> (int i) const</td></tr>
<tr class="separator:a449c644c9fe5f4e832443fac06716c94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d633e247b8093a96a1fd7d71fe0a6ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmy__allocator_1_1iterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#a0d633e247b8093a96a1fd7d71fe0a6ab">i_begin</a> ()</td></tr>
<tr class="separator:a0d633e247b8093a96a1fd7d71fe0a6ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada82835ca637793860c0aededc479c88"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#ada82835ca637793860c0aededc479c88">c_begin</a> () const</td></tr>
<tr class="separator:ada82835ca637793860c0aededc479c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83f5d94cab506e1f9858c24f3eaadbd4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmy__allocator_1_1iterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#a83f5d94cab506e1f9858c24f3eaadbd4">i_end</a> ()</td></tr>
<tr class="separator:a83f5d94cab506e1f9858c24f3eaadbd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fd52159becc17ad21754ad0cc8dcff5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmy__allocator.html#a4fd52159becc17ad21754ad0cc8dcff5">c_end</a> () const</td></tr>
<tr class="separator:a4fd52159becc17ad21754ad0cc8dcff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a64308be8923e1cd8126daeaa1ea016bc"><td class="memItemLeft" align="right" valign="top"><a id="a64308be8923e1cd8126daeaa1ea016bc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classmy__allocator.html">my_allocator</a> &amp;, const <a class="el" href="classmy__allocator.html">my_allocator</a> &amp;)</td></tr>
<tr class="separator:a64308be8923e1cd8126daeaa1ea016bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab78a4403198beabd7a6368f2c0e35023"><td class="memItemLeft" align="right" valign="top"><a id="ab78a4403198beabd7a6368f2c0e35023"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classmy__allocator.html">my_allocator</a> &amp;lhs, const <a class="el" href="classmy__allocator.html">my_allocator</a> &amp;rhs)</td></tr>
<tr class="separator:ab78a4403198beabd7a6368f2c0e35023"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae072d6037f9f72b54303533033ed188d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae072d6037f9f72b54303533033ed188d">&#9670;&nbsp;</a></span>my_allocator()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::<a class="el" href="classmy__allocator.html">my_allocator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time throw a bad_alloc exception, if N is less than sizeof(T) + (2 * sizeof(int)) </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac2bd3b32769707802cb8ff29f4c257bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2bd3b32769707802cb8ff29f4c257bc">&#9670;&nbsp;</a></span>allocate()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">pointer <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::allocate </td>
          <td>(</td>
          <td class="paramtype">size_type&#160;</td>
          <td class="paramname"><em>num_objects</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(n) in time after allocation there must be enough space left for a valid block the smallest allowable block is sizeof(T) + (2 * sizeof(int)) choose the first block that fits throw a bad_alloc exception, if n is invalid </p>

</div>
</div>
<a id="ada82835ca637793860c0aededc479c88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada82835ca637793860c0aededc479c88">&#9670;&nbsp;</a></span>c_begin()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a> <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::c_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time </p>

</div>
</div>
<a id="a4fd52159becc17ad21754ad0cc8dcff5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fd52159becc17ad21754ad0cc8dcff5">&#9670;&nbsp;</a></span>c_end()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a> <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::c_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time </p>

</div>
</div>
<a id="ac682ce1ad46490b5e08f7a2a01b6cf2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac682ce1ad46490b5e08f7a2a01b6cf2a">&#9670;&nbsp;</a></span>construct()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::construct </td>
          <td>(</td>
          <td class="paramtype">pointer&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const_reference&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time </p>

</div>
</div>
<a id="a0fd86d645b3ced3ff4188b983a9b90ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fd86d645b3ced3ff4188b983a9b90ec">&#9670;&nbsp;</a></span>deallocate()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::deallocate </td>
          <td>(</td>
          <td class="paramtype">pointer&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_type&#160;</td>
          <td class="paramname"><em>num_objects</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time after deallocation adjacent free blocks must be coalesced throw an invalid_argument exception, if p is invalid &lt;your documentation&gt;=""&gt; searches for a block pointing to the same address pointed to by ptr. If address is not found or ptr corresponds to a free block, then pointer must be invalid. </p>

</div>
</div>
<a id="a5e208c763aa3c6c31e298fc96de4a37a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e208c763aa3c6c31e298fc96de4a37a">&#9670;&nbsp;</a></span>destroy()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::destroy </td>
          <td>(</td>
          <td class="paramtype">pointer&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time </p>

</div>
</div>
<a id="a0d633e247b8093a96a1fd7d71fe0a6ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d633e247b8093a96a1fd7d71fe0a6ab">&#9670;&nbsp;</a></span>i_begin()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::i_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time </p>

</div>
</div>
<a id="a83f5d94cab506e1f9858c24f3eaadbd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83f5d94cab506e1f9858c24f3eaadbd4">&#9670;&nbsp;</a></span>i_end()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::i_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time </p>

</div>
</div>
<a id="afce70a1babca1d1ed59b595cb44818cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afce70a1babca1d1ed59b595cb44818cf">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int&amp; <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time </p>

</div>
</div>
<a id="a449c644c9fe5f4e832443fac06716c94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a449c644c9fe5f4e832443fac06716c94">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , std::size_t N&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int&amp; <a class="el" href="classmy__allocator.html">my_allocator</a>&lt; T, N &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>O(1) in space O(1) in time </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Allocator_8hpp_source.html">Allocator.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
